Subject: bug#78448: 30.1; mml: Produce Unobtrusive Signatures

From: Daniel Kahn Gillmor <[email-masked]>
Date: Fri, 13 Jun 2025 12:22:14 -0400

On Mon 2025-06-09 18:54:01 -0400, Daniel Kahn Gillmor wrote:
> I'm including the three revised patches here.

Michael Richardson observed that I had an extra semicolon which might
cause a complaint (see the patch here, which you might decide you want
to merge down into patch 0002 when applying).

I'm grateful for his attention to detail!

   --dkg

From d15a519c3c8d9cad72a827f8fba24fb79df25db5 Mon Sep 17 00:00:00 2001
From: Daniel Kahn Gillmor <[email-masked]>
Date: Thu, 12 Jun 2025 18:06:22 -0400
Subject: [PATCH] Remove stray semicolon

Identified by Michael Richardson <[email-masked]>
---
 lisp/gnus/mml2015.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/gnus/mml2015.el b/lisp/gnus/mml2015.el
index bbe6cec589f..503b7a8a5fa 100644
--- a/lisp/gnus/mml2015.el
+++ b/lisp/gnus/mml2015.el
@@ -977,7 +977,7 @@ If set, it overrides the setting of `mml2015-sign-with-sender'."
                     (pgpsig-armor-to-wrapped-b64 signature)))
     (let ((boundary (mml-compute-boundary cont)))
       (goto-char (point-min))
-      (insert (format "Content-Type: multipart/mixed; boundary=\"%s\";\n"
+      (insert (format "Content-Type: multipart/mixed; boundary=\"%s\"\n"
 		      boundary))
       (insert (format "\n--%s\n" boundary))
       (goto-char (point-max))
-- 
2.47.2